libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Glom::SystemPrefs Class Reference
Collaboration diagram for Glom::SystemPrefs:
[legend]

## Public Member Functions

| SystemPrefs ()
| SystemPrefs (const SystemPrefs& src)
SystemPrefs& | operator= (const SystemPrefs& src)
bool | operator== (const SystemPrefs& src) const
bool | operator!= (const SystemPrefs& src) const

## Public Attributes

Glib::ustring | m_name
Glib::ustring | m_org_name
Glib::ustring | m_org_address_street
Glib::ustring | m_org_address_street2
Glib::ustring | m_org_address_town
Glib::ustring | m_org_address_county
Glib::ustring | m_org_address_country
Glib::ustring | m_org_address_postcode
Gnome::Gda::Value | m_org_logo

## Constructor & Destructor Documentation

Glom::SystemPrefs::SystemPrefs | ( |  | ) |

Glom::SystemPrefs::SystemPrefs | ( | const SystemPrefs& | src | ) |

## Member Function Documentation

bool Glom::SystemPrefs::operator!= | ( | const SystemPrefs& | src | ) | const

SystemPrefs& Glom::SystemPrefs::operator= | ( | const SystemPrefs& | src | ) |

bool Glom::SystemPrefs::operator== | ( | const SystemPrefs& | src | ) | const

## Member Data Documentation

Glib::ustring Glom::SystemPrefs::m_name

Glib::ustring Glom::SystemPrefs::m_org_address_country

Glib::ustring Glom::SystemPrefs::m_org_address_county

Glib::ustring Glom::SystemPrefs::m_org_address_postcode

Glib::ustring Glom::SystemPrefs::m_org_address_street

Glib::ustring Glom::SystemPrefs::m_org_address_street2

Glib::ustring Glom::SystemPrefs::m_org_address_town

Gnome::Gda::Value Glom::SystemPrefs::m_org_logo

Glib::ustring Glom::SystemPrefs::m_org_name

The documentation for this class was generated from the following file:

- libglom/data_structure/system_prefs.h